<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Customer Print";
$file = "customer_print.php";
$mgrpcode = "010";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php");?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover table-bordered">
                        <tr  class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>Pin</th>
                            <th>Email</th>
                            <th>Tel</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr style='background-color:white'>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ")or die(mysqli_error($conn));

    $contents .= "Sr.,Name,Address,Country,City,Email,Pin,Tel,\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pname = $pmain[name];
        $paddress = $pmain[add1] . " " . $pmain[add2] . " " . $pmain[add3];
        $pcountry = $pmain[country];
        $pcity = $pmain[city];
        $pemail = $pmain[email];
        $ppin = $pmain[pin];
        $ptel = $pmain[tel];

        $contents .= $ctr . ",";
        $contents .= $pname . ",";
        $contents .= $paddress . ",";
        $contents .= $pcountry . ",";
        $contents .= $pcity . ",";
        $contents .= $pemail . ",";
        $contents .= $ppin . ",";
        $contents .= $ptel . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ")or die(mysqli_error($conn));


    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {



            //Position at 1.5 cm from bottom

            $this->SetY(-15);

            //Arial italic 8

            $this->SetFont('Arial', 'I', 8);

            //Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }


    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    
    include 'includes/head_rep_pdf.php';
    
    $pdf->Cell(10, 7, '', 0, 'C');
    $pdf->Ln();
    
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetFillColor(200, 220, 255);
    $pdf->Cell(8, 7, "Sr.", 1, 'C');
    $pdf->Cell(50, 7, "Name", 1);
    $pdf->Cell(70, 7, "Address", 1);
    $pdf->Cell(30, 7, "Country", 1);
    $pdf->Cell(30, 7, "City", 1);
    $pdf->Cell(30, 7, "Email", 1);
    $pdf->Cell(30, 7, "Pin", 1);
    $pdf->Cell(30, 7, "Tel", 1);
    $pdf->Ln();
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(8, 7, "$ctr", 1, 'C');
        $pdf->Cell(50, 7, "$pmain[name]", 1);
        $pdf->Cell(70, 7, "$pmain[add1]  $pmain[add2]  $pmain[add3]", 1);
        $pdf->Cell(30, 7, "$pmain[country]", 1);
        $pdf->Cell(30, 7, "$pmain[city]", 1);
        $pdf->Cell(30, 7, "$pmain[email]", 1);
        $pdf->Cell(30, 7, "$pmain[pin]", 1);
        $pdf->Cell(30, 7, "$pmain[tel]", 1);

        $ctr++;
        $pdf->Ln();
    }

    $pdf->Output("Customer.pdf", "D");
}
?>